FABRIC(1)

NAME
Fabric - manual page for Fabric 2.6.0

SYNOPSIS
fab [--core-opts] task1 [--task1-opts] ... taskN [--taskN-opts]

DESCRIPTION
Core options:

--complete
    Print tab-completion candidates for given parse remainder.

--hide=STRING
    Set default value of run()'s 'hide' kwarg.

--no-dedupe
    Disable task deduplication.

--print-completion-script=STRING
    Print the tab-completion script for your preferred shell (bash|zsh|fish).

--prompt-for-login-password
    Request an upfront SSH-auth password prompt.

--prompt-for-passphrase
    Request an upfront SSH key passphrase prompt.

--prompt-for-sudo-password
    Prompt user at start of session for the sudo.password config value.

--write-pyc
    Enable creation of .pyc files.

-c STRING, --collection=STRING
    Specify collection name to load.

-d, --debug
    Enable debug output.

-D INT, --list-depth=INT
    When listing tasks, only show the first INT levels.

-e, --echo
    Echo executed commands before running.

-f STRING, --config=STRING
    Runtime configuration file to use.

-F STRING, --list-format=STRING
    Change the display format used when listing tasks. Should be one of: flat (default), nested, json.

-h [STRING], --help[=STRING]
    Show core or per-task help and exit.

-H STRING, --hosts=STRING
    Comma-separated host name(s) to execute tasks against.

-i, --identity
    Path to runtime SSH identity (key) file. May be given multiple times.

-l [STRING], --list[=STRING]
    List available tasks, optionally limited to a namespace.

-p, --pty
    Use a pty when executing shell commands.

-r STRING, --search-root=STRING
    Change root directory used for finding task modules.

-R, --dry
    Echo commands instead of running.

-S STRING, --ssh-config=STRING
    Path to runtime SSH config file.

-t INT, --connect-timeout=INT
    Specifies default connection timeout, in seconds.

-T INT, --command-timeout=INT
    Specify a global command execution timeout, in seconds.

-V, --version
    Show version and exit.

-w, --warn-only
    Warn, instead of failing, when shell commands fail.

Paramiko 3.5.1 Invoke 2.2.0